DEV Community 👩‍💻👨‍💻

Discussion on: Setup Menu Navigation - Guide to Gatsby WordPress Starter Advanced with Previews, i18n and more

Collapse
 
davidshq profile image
Dave Mackey

Hi Henrik, thanks for the tutorial series, it has been quite helpful!

When I attempt to run gatsby develop after updating the files per your instructions above I'm getting the following error messages:

ERROR #85901 GRAPHQL
There was an error in your GraphQL query:
Expected file type WPGraphQL_MenuLocationEnum, found PRIMARY.

File: src\components\Menu.js:21:41

ERROR #98123 WEBPACK

Generating development JavaScript bundle failed

D:\learn\gatsby-starter-wordpress-advanced\src\components\Menu.js

21:41 error Expected type WPGraphQL_MenuLocationEnum, found PRIMARY graphql/template-strings

Any ideas on what I might be doing wrong?

Collapse
 
davidshq profile image
Dave Mackey

Seems the theme I was using used MENU_1 instead of PRIMARY for the menu id, once I changed to MENU_1 it began working!

Collapse
 
henrikwirth profile image
Henrik Wirth Author

Glad you already figured it out ✌